Skip to main content
GET
List a folder of a snapshot

Authorizations

Authorization
string
header
required

An API key that starts with vms_. Make one in Settings > API keys.

Path Parameters

id
string
required

The ID of the snapshot.

Example:

"snp_06d8k3m7q2v9x4b1n5c0e8f2ja"

Query Parameters

path
string
default:/

The absolute path of a folder. The default is /.

Required string length: 1 - 4096
Pattern: ^\/
Example:

"/home/user"

Response

The content of the folder.

snapshotId
string
required
sandboxId
string
required
path
string
required
Required string length: 1 - 4096
Pattern: ^\/
entries
object[]
required

The saved files and folders in the folder, sorted by name.